  /**
  * Sistema Integral de Planificación y Presupuesto (SIPP)
  * @file acciones_centralizadas.js
  * Drupal part Module to Sistema Integral de Planificación y Presupuesto (SIPP)
  * Copyright 2013 Sistema Automatizado para la Planificación Estratégico-Situacional en la Administración Pública Venezolana (CENDITEL)
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  * 
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  * 
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  *
  * @author Cenditel Merida - Msc. Juan Vizcarrondo
  * @date 2013-02-02 // (a&#241;o-mes-dia)
  * @version 0.1 // (0.1)
  * @author Cenditel Merida - Ing Diego Uzcátegui (adaptacion a meta fisica)
  *
  */

Drupal.behaviors.segumientoProyectos = function (context) {
  calculaporc_metafisica();//mostrar los valores por defecto si se presenta un form_set_error
  $("#edit-cantidad-metafisica-ejecutado").keyup(function() {
    calculaporc_metafisica();
  });
}

/*
 * Implementation of calculaporc()
 */
function calculaporc_metafisica() {
//partida=1
  var asignado = parseInt($('#edit-cantidad-metafisica-planificado').val().replace(/[Drupal.settings.format_number.thousands_sep\s]/g, '').replace(/[Drupal.settings.format_number.dec_point\s]/g, '.'));
  var causado = parseInt($('#edit-cantidad-metafisica-ejecutado').val().replace(/[Drupal.settings.format_number.thousands_sep\s]/g, '').replace(/[Drupal.settings.format_number.dec_point\s]/g, '.'));
  if (!(causado >= 0)) {
	causado=0;
  }

  var porc = asignado;
  if (asignado > 0) {
    porc = (100 * causado) / asignado;
    $('#edit-cantidad-metafisica-porcen').val(porc.toFixed(2) + '%');
	//alert(porc);
    var estilo = 'font-weight: bold;';
    if (porc < 11){
      $('#metafisica-inversion-form').html(Drupal.settings.accion_especifica_de_proyecto_seguimiento[1]['texto']);
      estilo += ';background:' + Drupal.settings.accion_especifica_de_proyecto_seguimiento[1]['color'] + ';color:' + Drupal.settings.accion_especifica_de_proyecto_seguimiento[1]['tcolor'];
    }
    else if (porc < 51){
      $('#metafisica-inversion-form').html(Drupal.settings.accion_especifica_de_proyecto_seguimiento[2]['texto']);
      estilo += ';background:' + Drupal.settings.accion_especifica_de_proyecto_seguimiento[2]['color'] + ';color:' + Drupal.settings.accion_especifica_de_proyecto_seguimiento[2]['tcolor'];
    }
    else if (porc < 80){
      $('#metafisica-inversion-form').html(Drupal.settings.accion_especifica_de_proyecto_seguimiento[3]['texto']);
      estilo += ';background:' + Drupal.settings.accion_especifica_de_proyecto_seguimiento[3]['color'] + ';color:' + Drupal.settings.accion_especifica_de_proyecto_seguimiento[3]['tcolor'];
    }
    else if (porc <= 100){
      $('#metafisica-inversion-form').html(Drupal.settings.accion_especifica_de_proyecto_seguimiento[4]['texto']);
      estilo += ';background:' + Drupal.settings.accion_especifica_de_proyecto_seguimiento[4]['color'] + ';color:' + Drupal.settings.accion_especifica_de_proyecto_seguimiento[4]['tcolor'];
    }
    else {
      $('#metafisica-inversion-form').html(Drupal.settings.accion_especifica_de_proyecto_seguimiento[5]['texto']);
      estilo += ';background:' + Drupal.settings.accion_especifica_de_proyecto_seguimiento[5]['color'] + ';color:' + Drupal.settings.accion_especifica_de_proyecto_seguimiento[5]['tcolor'];
    }
    $('#metafisica-inversion-form'). attr('style', estilo);


  }
  else {

    if (causado > 0){
      $('#metafisica-inversion-form').html(Drupal.settings.accion_especifica_de_proyecto_seguimiento[5]['texto']);
      $('#edit-cantidad-metafisica-porcen').val('N/D');
      var estilo = $('#metafisica-inversion-form'). attr('style');
      estilo += ';background:' + Drupal.settings.accion_especifica_de_proyecto_seguimiento[5]['color'] + ';color:' + Drupal.settings.accion_especifica_de_proyecto_seguimiento[5]['tcolor'];
    }
    else{
      $('#edit-cantidad-metafisica-porcen').val('N/A');
      $('#metafisica-inversion-form').html(Drupal.settings.accion_especifica_de_proyecto_seguimiento[0]['texto']);
      var estilo = $('#metafisica-inversion-form'). attr('style');
      estilo += ';background:' + Drupal.settings.accion_especifica_de_proyecto_seguimiento[0]['color'] + ';color:' + Drupal.settings.accion_especifica_de_proyecto_seguimiento[0]['tcolor'];
    }
    $('#metafisica-inversion-form'). attr('style', estilo);

/*
    $('#edit-cantidad-metafisica-porcen').val('N/A');
    var estilo = $('#metafisica-inversion-form'). attr('style');
    estilo += ';background:' + Drupal.settings.accion_especifica_de_proyecto_seguimiento[0]['color'] + ';color:' + Drupal.settings.accion_especifica_de_proyecto_seguimiento[0]['tcolor'];
    $('#metafisica-inversion-form'). attr('style', estilo);
*/
  }
}

function valenterometafisica(elemento){
  var valor = parseInt($('#edit-' + elemento).val().replace(/[Drupal.settings.format_number.thousands_sep\s]/g, '').replace(/[Drupal.settings.format_number.dec_point\s]/g, '.'));
  if (valor >= 0) {
    $('#edit-' + elemento).val($.number(valor, Drupal.settings.format_number.decimals, Drupal.settings.format_number.dec_point, Drupal.settings.format_number.thousands_sep));
  }else{
    $('#edit-' + elemento).val(0);
  }
}

function valentero(elemento){
  var valor = parseInt($('#edit-' + elemento).val().replace(/[Drupal.settings.format_number.thousands_sep\s]/g, '').replace(/[Drupal.settings.format_number.dec_point\s]/g, '.'));
  if (valor >= 0) {
    $('#edit-' + elemento).val($.number(valor, Drupal.settings.format_number.decimals, Drupal.settings.format_number.dec_point, Drupal.settings.format_number.thousands_sep));
  }else{
    $('#edit-' + elemento).val(0);
  }
}

function asignado_desabilitado(elemento){
	$('#edit-' + elemento).disabled = true;
}
